diff --git a/src/pbkdf2-hmac-sha1_fmt_plug.c b/src/pbkdf2-hmac-sha1_fmt_plug.c
index 52d389e26b..5a6ea4b26a 100644
--- a/src/pbkdf2-hmac-sha1_fmt_plug.c
+++ b/src/pbkdf2-hmac-sha1_fmt_plug.c
@@ -123,7 +123,7 @@ static char *prepare(char *fields[10], struct fmt_main *self)
 	if (strncmp(fields[1], PKCS5S2_TAG, 9) != 0 && strncmp(fields[1], PK5K2_TAG, 6))
 		return fields[1];
 	if (!strncmp(fields[1], PKCS5S2_TAG, 9)) {
-		char tmp[120];
+		char tmp[120+4];
 		if (strlen(fields[1]) > 75) return fields[1];
 		//{"{PKCS5S2}DQIXJU038u4P7FdsuFTY/+35bm41kfjZa57UrdxHp2Mu3qF2uy+ooD+jF5t1tb8J", "password"},
 		//{"$pbkdf2-hmac-sha1$10000.0d0217254d37f2ee0fec576cb854d8ff.edf96e6e3591f8d96b9ed4addc47a7632edea176bb2fa8a03fa3179b75b5bf09", "password"},
@@ -132,7 +132,7 @@ static char *prepare(char *fields[10], struct fmt_main *self)
 		return Buf;
 	}
 	if (!strncmp(fields[1], PK5K2_TAG, 6)) {
-		char tmps[140], tmph[70], *cp, *cp2;
+		char tmps[140+4], tmph[70+4], *cp, *cp2;
 		unsigned iter=0;
 		// salt was listed as 1024 bytes max. But our max salt size is 64 bytes (~90 base64 bytes).
 		if (strlen(fields[1]) > 128) return fields[1];
